MLX5IB(4)

NAME
mlx5ib - Mellanox ConnectX-4 and ConnectX-4 LX based 100Gb, 50Gb, 40Gb, 25Gb and 10Gb network adapter driver

SYNOPSIS
To compile this driver into the kernel, place these lines in your kernel configuration file:

options COMPAT_LINUXKPI
device mlx5
device mlx5ib

To load the driver as a module at run-time, run this command as root:

    kldload mlx5ib

To load the driver as a module at boot time, place this line in loader.conf(5):

    mlx5ib_load="YES"

DESCRIPTION
The mlx5ib driver provides support for infiniband and Remote DMA over Converged Ethernet, RoCE, for PCI Express network adapters based on ConnectX-4 and ConnectX-4 LX.
For further hardware information and questions related to hardware requirements, see http://www.mellanox.com/.

For more information on configuring this device, see ifconfig(8).

HARDWARE
The mlx5ib driver supports 100Gb, 50Gb, 40Gb, 25Gb and 10Gb network adapters. ConnectX-4 supports: 10/20/25/40/50/56/100Gb/s speeds. ConnectX-4 LX supports: 10/25/40/50Gb/s speeds (and reduced power consumption):

•   Mellanox MCX455A-ECAT
•   Mellanox MCX456A-ECAT
•   Mellanox MCX415A-CCAT
•   Mellanox MCX416A-CCAT
•   Mellanox MCX455A-FCAT
•   Mellanox MCX456A-FCAT
•   Mellanox MCX415A-BCAT
•   Mellanox MCX416A-BCAT
•   Mellanox MCX4131A-GCAT
•   Mellanox MCX4131A-BCAT
•   Mellanox MCX4121A-ACAT
•   Mellanox MCX4111A-ACAT
•   Mellanox MCX4121A-XCAT
•   Mellanox MCX4111A-XCAT

SUPPORT
For general information and support, go to the Mellanox support website at: http://www.mellanox.com/.

If an issue is identified with this driver with a supported adapter, email all the specific information related to the issue to <freebsd-drivers@mellanox.com>.

SEE ALSO
mlx5en(4), ifconfig(8)

HISTORY
The mlx5ib device driver first appeared in FreeBSD 12.0.

AUTHORS
-nosplit The mlx5ib driver was written by Mellanox Technologies <freebsd-drivers@mellanox.com>.